/********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

.toolbar {
  background-color: #f8f8f8;
  border-color:#ddd !important;
  border-radius: 4px;
  border: 1px solid;
  margin-bottom: 4px;
}

.thin {
  padding: 4px;
}

.toggler {
  text-align: right;
  color: #6c757d;
  cursor: pointer;
}

.toggler:hover {
  color: black;
}

.list-box .ui-listbox-item {
  padding: 4px 0 4px 8px !important;
}


.list-box .ui-listbox-header {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  /* border-bottom-color: rgb(166,166,166); */
}

.list-box .ui-listbox-header-w-checkbox {
  padding: 4px 8px;
}

.hiddenList ::ng-deep .ui-listbox-list-wrapper {
  display: none;
}

.hiddenList ::ng-deep .ui-listbox-header-w-checkbox {
  display: none;
}

p-listbox ::ng-deep .ypanel .ui-listbox-header-w-checkbox {
  text-align: right;
}

p-togglebutton ::ng-deep .ui-button {
  font-size: 14px;
  margin: 0 3px;
  color: #6c757d;
  background-color: transparent;
  background-image: none;
  border-color: #6c757d;
}

p-togglebutton ::ng-deep .ui-button.ui-state-active {
  /* color: #333333!important; */
  color: #fff!important;
  background-color: #a0a0a0;
}

p-togglebutton ::ng-deep .ui-button.ui-state-active ::ng-deep .ui-button-icon-left {
  /* color: #333333!important; */
  color: #fff!important;
  background-color: #a0a0a0;
}

p-togglebutton ::ng-deep .ui-button:not(.ui-state-active).ui-state-focus {
  border-color: #6c757d;
  background-color: transparent!important;
}

p-togglebutton ::ng-deep .ui-button:not(.ui-state-active).ui-state-focus ::ng-deep .ui-button-icon-left {
  color: #6c757d!important;
}

p-spinner {
  margin: 0 3px;
}

p-spinner ::ng-deep .ui-button {
  font-size: 14px;
  color: #6c757d;
  background-color: transparent;
  background-image: none;
  border-color: #6c757d;
}

p-spinner ::ng-deep .ui-button:hover {
  background-color:#c8c8c8;
  border-color:#c8c8c8;
  color:#333333;
}

p-spinner ::ng-deep .ui-spinner {
  margin-top: -3px;
}

p-spinner ::ng-deep .ui-spinner-input {
  height: 32px;
}

.hidden {
  display: none;
}

.channelList {
  list-style-type: none;
  padding: 0;
  margin-bottom: 0;
  min-height: 80px;
}

.row {
  display: grid;
  grid-template-columns: 155px 185px;
  align-items: center;
  padding: 1px 8px 1px 8px;
}

p-panel ::ng-deep .ui-panel-content.ui-widget-content {
  overflow-x: scroll;
  overflow-y: visible;
}

p-panel ::ng-deep .ui-panel .ui-panel-titlebar {
  background-color: inherit;
  border-color: rgb(166,166,166);
  padding: 6px 12px;
}

p-panel ::ng-deep .ui-panel .ui-panel-content {
  border-color: rgb(166,166,166);
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  padding: 4px 10px
}

p-panel ::ng-deep .ui-inputtext {
  padding: 2px 0.429em;
}

p-panel label {
  font-weight: inherit;
}

.toolbar-btn {
  background-color: #dadada;
  padding: .325rem .75rem;
  vertical-align: top;
}
.toolbar-spacer {
    width: 6px;
    display: inline-block;
}
